%define with_tomcat6_coyote 0
%define test_certificates_version 2.0.5

Name:          jsslutils
Version:       1.0.5
Release:       %mkrel 3
Summary:       Java SSL utilities
Group:         Development/Java
License:       ASL 2.0, BSD, LGPL, Public Domain
Url:           http://code.google.com/p/jsslutils/
# svn export http://jsslutils.googlecode.com/svn/tags/release-1.0.5/ jsslutils-1.0.5
# tar czf jsslutils-1.0.5-src-svn.tar.gz jsslutils-1.0.5
Source0:       jsslutils-1.0.5-src-svn.tar.gz
# TODO rebuild maven-shared
Source1:       maven-filtering.depmap

# add commons-codec for test
Patch0:        jsslutils-1.0.5-extra-apachehttpclient-pom.patch
# add tomcat6 juli
Patch1:        jsslutils-1.0.5-extra-apachetomcat6-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-codec
BuildRequires: bouncycastle 
BuildRequires: jakarta-commons-httpclient
BuildRequires: junit4
BuildRequires: tomcat5
BuildRequires: tomcat5-server-lib
# TODO
%if %with_tomcat6_coyote
BuildRequires: tomcat6
BuildRequires: tomcat6-lib
BuildRequires: mvn(org.apache.tomcat:coyote)
%endif
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-osgi
BuildRequires: maven-dependency-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: forge-parent

Requires:      bouncycastle

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This project aims to provide a set of utilities regarding the use of SSL in Java.

This mainly consists of a set of SSLContextFactory classes and a demo CA for testing purposes in the subversion tree.

The original motivation for this library was to provide a consistent way of setting SSL-related parameters in Restlet and
Jetty, in particular for providing more advanced features such as support for Certificate Revocation Lists (CRLs). 

%package httpclient3
Group:         Development/Java
Summary:       jSSLutils :: Extra :: Apache Commons HTTP client util
Requires:      jpackage-utils
Requires:      jakarta-commons-httpclient
Requires:      %{name} = %{version}-%{release}

%description httpclient3
Utilities for use with the Apache Commons HTTP client library 3.x.

%package gsi
Group:         Development/Java
Summary:       jSSLutils :: Extra :: GSI
Requires:      jpackage-utils
Requires:      bouncycastle
Requires:      %{name} = %{version}-%{release}

%description gsi
This is a set of SSL-related utilities for Java.

%package tomcat5
Group:         Development/Java
Summary:       SSLImplementation for Apache Tomcat 5
Requires:      jpackage-utils
Requires:      tomcat5
Requires:      tomcat5-server-lib
Requires:      %{name} = %{version}-%{release}

%description tomcat5
Java SSL utilities SSLImplementation for Apache Tomcat 5.

# TODO
%if %with_tomcat6_coyote
%package tomcat6
Group:         Development/Java
Summary:       SSLImplementation for Apache Tomcat 6
Requires:      jpackage-utils
Requires:      tomcat6
Requires:      tomcat6-lib
Requires:      %{name} = %{version}-%{release}

%description tomcat6
Java SSL utilities SSLImplementation for Apache Tomcat 6.
%endif

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jsslutils-%{version}

rm -rf javadoc/*
find . -type f \( -name "*.class" -o -name "*.jar" \) -delete

sed -i "s|bcprov-jdk15|bcprov-jdk16|" extra/gsi/pom.xml
sed -i "s|bcprov-jdk15|bcprov-jdk16|" jsslutils/pom.xml
%patch0 -p0

# TODO
%if %with_tomcat6_coyote
%patch1 -p0
%else
sed -i "s|<module>extra/apachetomcat6</module>|<!--module>extra/apachetomcat6</module-->|" pom.xml
%endif

%build

mvn-rpmbuild \
  -Dmaven.local.depmap.file="%{SOURCE1}" \
  -Dmaven.test.skip=true  \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}

install -pm 644 certificates/target/%{name}-test-certificates-%{test_certificates_version}.jar \
  %{buildroot}%{_javadir}/%{name}-test-certificates.jar
install -pm 644 extra/apachehttpclient/target/%{name}-extra-apachehttpclient3-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-extra-apachehttpclient3.jar
install -pm 644 extra/apachetomcat5/target/%{name}-extra-apachetomcat5-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-extra-apachetomcat5.jar
# TODO
%if %with_tomcat6_coyote
install -pm 644 extra/apachetomcat6/target/%{name}-extra-apachetomcat6-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-extra-apachetomcat6.jar
%endif
install -pm 644 extra/gsi/target/%{name}-extra-gsi-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-extra-gsi.jar
install -pm 644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 testhelpers/target/%{name}-test-helpers-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-test-helpers.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-root.pom
%add_maven_depmap JPP-%{name}-root.pom
install -pm 644 certificates/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-test-certificates.pom
%add_maven_depmap JPP-%{name}-test-certificates.pom %{name}-test-certificates.jar
install -pm 644 extra/apachehttpclient/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-extra-apachehttpclient3.pom
%add_maven_depmap JPP-%{name}-extra-apachehttpclient3.pom %{name}-extra-apachehttpclient3.jar
install -pm 644 extra/apachetomcat5/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-extra-apachetomcat5.pom
%add_maven_depmap JPP-%{name}-extra-apachetomcat5.pom %{name}-extra-apachetomcat5.jar
# TODO
%if %with_tomcat6_coyote
install -pm 644 extra/apachetomcat6/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-extra-apachetomcat6.pom
%add_maven_depmap JPP-%{name}-extra-apachetomcat6.pom %{name}-extra-apachetomcat6.jar
%endif
install -pm 644 extra/gsi/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-extra-gsi.pom
%add_maven_depmap JPP-%{name}-extra-gsi.pom %{name}-extra-gsi.jar
install -pm 644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 testhelpers/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-test-helpers.pom
%add_maven_depmap JPP-%{name}-test-helpers.pom %{name}-test-helpers.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-test-certificates.jar
%{_javadir}/%{name}-test-helpers.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}-root.pom
%{_mavenpomdir}/JPP-%{name}-test-certificates.pom
%{_mavenpomdir}/JPP-%{name}-test-helpers.pom
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc jsslutils/LICENSE.txt

%files httpclient3
%{_javadir}/%{name}-extra-apachehttpclient3.jar
%{_mavenpomdir}/JPP-%{name}-extra-apachehttpclient3.pom
%doc extra/apachehttpclient/LICENSE.txt extra/apachehttpclient/NOTICE.txt

%files gsi
%{_javadir}/%{name}-extra-gsi.jar
%{_mavenpomdir}/JPP-%{name}-extra-gsi.pom
%doc extra/gsi/LICENSE.txt

%files tomcat5
%{_javadir}/%{name}-extra-apachetomcat5.jar
%{_mavenpomdir}/JPP-%{name}-extra-apachetomcat5.pom
%doc extra/apachetomcat5/LICENSE.txt extra/apachetomcat5/NOTICE.txt
# TODO
%if %with_tomcat6_coyote
%files tomcat6
%{_javadir}/%{name}-extra-apachetomcat6.jar
%{_mavenpomdir}/JPP-%{name}-extra-apachetomcat6.pom
%doc extra/apachetomcat6/LICENSE.txt extra/apachetomcat6/NOTICE.txt
%endif

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-3.mga3
+ Revision: 355643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.0.5-2.mga3
+ Revision: 343461
- Remove findbugs-maven-plugin deps

* Tue Jan 10 2012 gil <gil> 1.0.5-1.mga2
+ Revision: 194359
- build fix more BR
  tried to build with tomcat6 support
- imported package jsslutils

